New Search

IIS FTP Service Heap Buffer Overrun Vulnerability

oval:org.mitre.oval:def:12370

Heap-based buffer overflow in the TELNET_STREAM_CONTEXT::OnSendData function in ftpsvc.dll in Microsoft FTP Service 7.0 and 7.5 for Internet Information Services (IIS) 7.0 and IIS 7.5 allows remote attackers to execute arbitrary code or cause a denial of service (daemon crash) via a crafted FTP command aka "IIS FTP Service Heap Buffer Overrun Vulnerability." NOTE: some of these details are obtained from third party information.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Vista
  • Microsoft Windows 7
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2008
Class:
vulnerability
Reference(s):
  • CVE-2010-3972
Product(s):
  • Microsoft FTP Service 7.5
  • Microsoft FTP Service 7.0